Google Cloud Run
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Google Cloud Run action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
GOOGLE_CLOUD_RUN_DEPLOYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationintegrationrequiredGoogleServiceAccountIntegrationRef
Google Service Account integration (GOOGLE_SERVICE_ACCOUNT)shellstring enum
The name of the shell that will be used to execute commandsAllowed enum:
SH,BASH,POWERSHELLapplication_namestring
The name of the applicationserver_keyrequiredstring
The private SSH keyenv_keystring
The private SSH key name defined in environment variablesconfig_pathstring
Kubectl configuration file. Required when the platform is set to KUBERNETESimagestring
The name of the imageservicestring
The name of the serviceplatformstring enum
Target platform for running commandsAllowed enum:
MANAGED,GKE,KUBERNETESclusterstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKEcluster_locationstring
The zone in which the cluster is located. Required when the platform is set to GKEcontextstring
The name of the context in your kubectl config file to use for connecting. Required when the platform is set to KUBERNETESregionstring
The region in which the resource can be found. Required when platform is set to MANAGEDargumentsstring
Additional arguments for the deployment commandResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
GOOGLE_CLOUD_RUN_DEPLOYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopintegrationIntegrationIdentifierView
The integration used by the actionshellstring enum
The name of the shell that will be used to execute commandsAllowed enum:
SH,BASH,POWERSHELLapplication_namestring
The name of the applicationserver_keystring
The private SSH keyenv_keystring
The private SSH key name defined in environment variablesargumentsstring
Additional arguments for the deployment commandservicestring
The name of the serviceimagestring
The name of the imageplatformstring enum
Target platform for running commandsAllowed enum:
MANAGED,GKE,KUBERNETESregionstring
The region in which the resource can be found. Required when platform is set to MANAGEDconfig_pathstring
Kubectl configuration file. Required when the platform is set to KUBERNETESclusterstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKEcluster_locationstring
The zone in which the cluster is located. Required when the platform is set to GKEcontextstring
The name of the context in your kubectl config file to use for connecting. Required when the platform is set to KUBERNETESLast modified on Feb 18, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Deploy to Google Cloud Run/84 tests",
"type": "GOOGLE_CLOUD_RUN_DEPLOY",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "gcp"
},
"application_name": "MyApp",
"region": "europe-west1",
"service": "$service",
"image": "$image",
"platform": "MANAGED"
}'STATUS200 OK